<?php
require __DIR__ . "/../vendor/autoload.php";
require __DIR__ . "/autoloader.php";
require __DIR__ . "/../vendor/zeedhi/framework/bootstrap.php";
require __DIR__ . "/../vendor/teknisa/libraries/scripts/bootstrap.php";

// Load specified services and parameters
$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$routes[] = __DIR__ . '/../vendor/teknisa/libraries/libRoutes.json';
$routes[] = __DIR__ . '/../routes.json';

$instanceManager->loadFromFile(__DIR__.'/../config/environment.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/db.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/general.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/parameters.xml');
$instanceManager->loadFromFile(__DIR__.'/../vendor/zeedhi/devops_entities/environment.xml');


$instanceManager->loadFromFile(__DIR__.'/../queueDoctrineEvents.xml');
$instanceManager->loadFromFile(__DIR__.'/../services.xml');
$instanceManager->compile();